Bug 497744 - Obnoxious crackling sound from usb audio speakers
Obnoxious crackling sound from usb audio speakers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 15:48 EDT by John Ellson
Modified: 2010-06-28 08:13 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:13:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2009-04-26 15:48:01 EDT
Description of problem:
I'm getting exactly the problem described in:
   http://ubuntuforums.org/showthread.php?t=806555
also in:
   https://bugs.launchpad.net/bugs/353787
with my Logitech AudioHub:

** /proc/asound/cards:
 1 [Speaker        ]: USB-Audio - AudioHub Speaker
                      HOLTEK  AudioHub Speaker at usb-0000:00:02.1-7.4, full speed

** lsusb:
   Bus 001 Device 006: ID 046d:0a0e Logitech, Inc.

Eventually in that report a fix is identified as a kernel config change to disable:
   CONFIG_USB_EHCI_TT_NEWSCHED

The rawhide kernel has this config enabled.

I figured that since this was a sound problem I should report it against pulseaudio first, and then if you concur that it is a kernel problem it will carry more weight.

I'd try building a kernel locally, but the instructions at:
    http://fedoraproject.org/wiki/Docs/CustomKernel
don't work.
   

Version-Release number of selected component (if applicable):
kernel-2.6.29.1-102.fc11.x86_64
pulseaudio-0.9.15-11.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Play sound through Logitech USB speakers
2.
3.
  
Actual results:
Sound + regular (~10Hz) "crackling" sounds.   (probably spikes)

Expected results:
Undistorted sound

Additional info:
Comment 1 Lennart Poettering 2009-04-26 22:08:25 EDT
Sounds reasonable. Will reassign to kernel.
Comment 2 Lubomir Rintel 2009-04-28 05:13:50 EDT
(In reply to comment #0)
> I'd try building a kernel locally, but the instructions at:
>     http://fedoraproject.org/wiki/Docs/CustomKernel
> don't work.

Could you please specify what exactly didn't work, so it can eventually be fixed?
Comment 3 John Ellson 2009-04-29 05:33:05 EDT
Sure.  The "make oldconfig" step fails.


$ pwd
/home/ellson/rpmbuild/BUILD/kernel-2.6.29/linux-2.6.29.x86_64
$ ls -l Makefile
-rw-r--r--. 1 ellson ellson 54910 2009-04-29 05:24 Makefile
$ make oldconfig
Makefile:446: /home/ellson/rpmbuild/BUILD/kernel-2.6.29/linux-2.6.29.x86_64/arch/linux.x86_64/Makefile: No such file or directory
make: *** No rule to make target `/home/ellson/rpmbuild/BUILD/kernel-2.6.29/linux-2.6.29.x86_64/arch/linux.x86_64/Makefile'.  Stop.
$
Comment 4 John Ellson 2009-04-29 05:40:39 EDT
Problem was that I had $ARCH set in my environment....
Comment 5 John Ellson 2009-04-29 13:19:40 EDT
The instructions need to tell you how to build kernel-firmware.

This text is from:
   http://littlepiphany.com/technology/how-to-build-the-latest-fedora-kernel/


kernel-firmware
if you need to build the firmware module then change this line to this in the
~/rpmbuild/SPECS/kernel.spec

%define with_firmware  %{?_with_firmware:     0} %{?!_with_firmware:     1}
Comment 6 John Ellson 2009-04-29 17:32:07 EDT
Finally got my kernel built.

The good news is that the kernel config changes stops the obnoxious crackling.

The bad news is that there is a really loud noise burst when opening Sound Preferences, or when opening Rhythmbox (pulseaudio killed in between)
Comment 7 Lennart Poettering 2009-04-30 16:10:37 EDT
That other thing is probably bug 497742
Comment 8 John Ellson 2009-05-01 08:19:09 EDT
I just read 497742 and yes, that looks like a fair description of the startup noise issue.
Comment 9 John Ellson 2009-05-20 19:35:11 EDT
CONFIG_USB_EHCI_TT_NEWSCHED = no


What do I have to do to get this verified kernel configuration fix incorporated into the Fedora kernels?
Comment 10 Bug Zapper 2009-06-09 10:37:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Kevin R. Page 2009-06-12 17:34:29 EDT
I'm also hearing this on F11 with Logitech V10 USB speakers idVendor=046d, idProduct=0a10.

(fwiw I've also got pulseaudio-0.9.15-14.fc11 installed from koji when I thought bug #497742 might be the problem, but from comment #9 it seems this is a kernel issue)
Comment 12 Bug Zapper 2010-04-27 09:57:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 08:13:43 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.